<template>
  <q-layout view="lHh Lpr lFf">
    <q-header elevated>
      <q-toolbar>
        <q-btn
          flat
          dense
          round
          icon="menu"
          aria-label="Menu"
          @click="leftDrawerOpen = !leftDrawerOpen"
        />

        <q-toolbar-title>
          Sf. Dev. Pf.
        </q-toolbar-title>

        <div>v0.0.1</div>
      </q-toolbar>
    </q-header>

    <q-drawer
      v-model="leftDrawerOpen"
      show-if-above
      bordered
      content-class="bg-grey-1"
    >
      <q-list>
        <q-item-label
          header
          class="text-grey-8"
        >
          Essential Links
        </q-item-label>
        <EssentialLink
          v-for="link in essentialLinks"
          :key="link.title"
          v-bind="link"
        />
        <q-item 
          clickable v-ripple
          @click="logoutAction()"
          v-show="loginSta"
        >
          <q-item-section>Logout</q-item-section>
        </q-item>
        <q-item 
          clickable v-ripple
          @click="t1Action()"
        >
          <q-item-section>t1</q-item-section>
        </q-item>

      </q-list>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>

</template>

<script>
import EssentialLink from 'components/EssentialLink.vue'

import { newMsgDiag } from 'src/utils/dialogs/dialogCreate'
import MsgDiaglog from "src/utils/dialogs/MsgDialog.vue"
export default {
  name: 'MainLayout',

  components: {
    EssentialLink
  },

  data () {
    return {
      leftDrawerOpen: false,
      essentialLinks: [
        {
          title: 'Dev. Env.',
          caption: 'Development Environment',
          icon: 'developer_board',
          link: '/devenv'
        },
      ],

      // same to loginLib.loginFlag, just cannot trigger on this component, so self-create a variable to trigger this event
      //  it's value is same to loginLib.loginFlag
      loginStaFlag: 0,

    }
  },

  methods: {

    logoutAction() {
      loginLib.goLogout();
      this.loginStaFlag = 0;
    },

    t1Action() {
        console.log('Tetsing only ');

        console.log('DevEnv MOunt ', process.env.BACKEND_PROTO);
        console.log('DevEnv MOunt 1 ', process.env.BACKEND_DOMAIN);
        console.log('DevEnv MOunt 2 ', process.env.BACKEND_PORT);
    }
  },

  computed: {

    // login Status
    // Return
    //    true -- aready login
    //    false -- not yet login
    loginSta: {
      get: function() {
        return ( this.$store.state.gen.loginFlag==1 ? true : false)
      },
    },

  }

}
</script>
